package decorator;

public abstract class BinaryOperatorDecorator extends MonitoringDecorator {

    // O segundo operando definido para a operação binária
    private final Monitoring leftOperand;

    // O construtor recebe os dois operandos, sendo um deles passado para a classe MonitoringDecorator
    public BinaryOperatorDecorator(Monitoring component, Monitoring leftOperand) {
        super(component);
        this.leftOperand = leftOperand;
    }

    public boolean evaluateCondition() {
        return this.leftOperand.evaluateCondition();
    }

    public boolean evaluateOperandCondition() {
        return super.evaluateCondition();
    }



}
